MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
float/ipark.h File Reference
`#include <math.h>`
`#include "sw/modules/math/src/float/math.h"`

Go to the source code of this file.

## Data Structures
struct | _IPARK_Obj_
| Defines the IPARK object. More...

## Typedefs
typedef struct _IPARK_Obj_ | IPARK_Obj
| Defines the IPARK object. More...
typedef struct _IPARK_Obj_ * | IPARK_Handle
| Defines the IPARK handle. More...

## Functions
static float_t | IPARK_getCosTh (IPARK_Handle handle)
| Gets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_getPhasor (IPARK_Handle handle, MATH_vec2 *pPhasor)
| Gets the cosine/sine phasor for the inverse Park transform. More...
static float_t | IPARK_getSinTh (IPARK_Handle handle)
| Gets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
IPARK_Handle | IPARK_init (void *pMemory, const size_t numBytes)
| Initializes the inverse Park transform module. More...
static void | IPARK_run (IPARK_Handle handle, const MATH_vec2 *pInVec, MATH_vec2 *pOutVec)
| Runs the inverse Park transform module. More...
static void | IPARK_setCosTh (IPARK_Handle handle, const float_t cosTh)
| Sets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_setPhasor (IPARK_Handle handle, const MATH_vec2 *pPhasor)
| Sets the cosine/sine phasor for the inverse Park transform. More...
static void | IPARK_setSinTh (IPARK_Handle handle, const float_t sinTh)
| Sets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_setup (IPARK_Handle handle, const float_t Th)
| Sets up the inverse Park transform module. More...

## Function Documentation

static float_t IPARK_getCosTh | ( | IPARK_Handle | handle | ) |
| inline static

Gets the cosine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle

Returns
  The cosine of the angle

Definition at line 98 of file float/ipark.h.

References _IPARK_Obj_::cosTh.

static void IPARK_getPhasor | ( | IPARK_Handle | handle,
|  | MATH_vec2 * | pPhasor
| ) |  |
| inline static

Gets the cosine/sine phasor for the inverse Park transform.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | pPhasor | The pointer to the cosine/sine phasor

Definition at line 109 of file float/ipark.h.

References _IPARK_Obj_::cosTh, _IPARK_Obj_::sinTh, and _MATH_vec2_::value.

static float_t IPARK_getSinTh | ( | IPARK_Handle | handle | ) |
| inline static

Gets the sine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle return The sine of the angle

Definition at line 123 of file float/ipark.h.

References _IPARK_Obj_::sinTh.

static void IPARK_run | ( | IPARK_Handle | handle,
|  | const MATH_vec2 * | pInVec,
|  | MATH_vec2 * | pOutVec
| ) |  |
| inline static

Runs the inverse Park transform module.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | pInVec | The pointer to the input vector
  [in] | pOutVec | The pointer to the output vector

Definition at line 145 of file float/ipark.h.

References _IPARK_Obj_::cosTh, _IPARK_Obj_::sinTh, and _MATH_vec2_::value.

static void IPARK_setPhasor | ( | IPARK_Handle | handle,
|  | const MATH_vec2 * | pPhasor
| ) |  |
| inline static

Sets the cosine/sine phasor for the inverse Park transform.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | pPhasor | The pointer to the cosine/sine phasor, pu

Definition at line 178 of file float/ipark.h.

References _IPARK_Obj_::cosTh, _IPARK_Obj_::sinTh, and _MATH_vec2_::value.